dm-raid1.c: correct region_shift calculation, ffs defines the
least-significant bit as 1, not 0.
--- diff/drivers/md/dm-raid1.c	2003-10-30 15:48:05.000000000 +0000
+++ source/drivers/md/dm-raid1.c	2003-10-30 15:47:58.000000000 +0000
@@ -189,7 +189,7 @@
 	rh->ms = ms;
 	rh->log = log;
 	rh->region_size = region_size;
-	rh->region_shift = ffs(region_size);
+	rh->region_shift = ffs(region_size) - 1;
 	rwlock_init(&rh->hash_lock);
 	rh->mask = nr_buckets - 1;
 	rh->nr_buckets = nr_buckets;
